USE Performance;
GO

/*
Performance_AnchorVs3NF_Automated
*/

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Performance_AnchorVs3NF_Automated]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[Performance_AnchorVs3NF_Automated]
go

create procedure Performance_AnchorVs3NF_Automated
as
begin

declare @id int;

-- increasing number of rows
insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 200000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 200000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	anchors = 2,
	attributes = 10,
	rows = 200000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 400000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 400000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	anchors = 2,
	attributes = 10,
	rows = 400000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 600000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 600000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	anchors = 2,
	attributes = 10,
	rows = 600000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 800000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 800000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	anchors = 2,
	attributes = 10,
	rows = 800000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 1000000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 1000000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing number of rows',
	anchors = 2,
	attributes = 10,
	rows = 1000000,
	queries = 10
where
	id <= @id
and
	name is null;

-- increasing model size
insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 10, 100000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 10, 100000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	anchors = 2,
	attributes = 10,
	rows = 100000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 20, 100000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 20, 100000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	anchors = 2,
	attributes = 20,
	rows = 100000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 30, 100000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 30, 100000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	anchors = 2,
	attributes = 30,
	rows = 100000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 40, 100000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 40, 100000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	anchors = 2,
	attributes = 40,
	rows = 100000,
	queries = 10
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (anchors, attributes, rows, queries, test, startTime) 
values(2, 50, 100000, 0, 'Creating and filling tables', GETDATE())
select @id = @@IDENTITY;
exec('Performance_AnchorVs3NF_Setup 2, 50, 100000');
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	stopTime = GETDATE()
where
	id <= @id
and
	name is null;

insert Performance_AnchorVs3NF_Results (test, startTime, stopTime) 
exec('Performance_AnchorVs3NF_Test 10');
select @id = @@IDENTITY;
update Performance_AnchorVs3NF_Results
set
	name = 'increasing model size',
	anchors = 2,
	attributes = 50,
	rows = 100000,
	queries = 10
where
	id <= @id
and
	name is null;

end